# frr_facts – Collect facts from remote devices running Free Range Routing (FRR)

New in version 2.8.

- Synopsis
- Parameters
- Notes
- Examples
- Return Values
- Status

## Synopsis

- Collects a base set of device facts from a remote device that is running FRR. This module prepends all of the base network fact keys with `ansible_net_<fact>`. The facts module will always collect a base set of facts from the device and can enable or disable collection of additional facts.

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
gather_subset - | Default: "!config" | When supplied, this argument restricts the facts collected to a given subset. Possible values for this argument include `all`, `hardware`, `config`, and `interfaces`. Specify a list of values to include a larger subset. Use a value with an initial `!` to collect all facts except that subset.

## Notes

Note

- Tested against FRR 6.0.

## Examples

    - name: Collect all facts from the device
      frr_facts:
        gather_subset: all

    - name: Collect only the config and default facts
      frr_facts:
        gather_subset:
          - config

    - name: Collect the config and hardware facts
      frr_facts:
        gather_subset:
          - config
          - hardware

    - name: Do not collect hardware facts
      frr_facts:
        gather_subset:
          - "!hardware"

## Return Values

Common return values are documented here, the following are the fields unique to this module:

Key | Returned | Description
--- | --- | ---
ansible_net_all_ipv4_addresses list | when interfaces is configured | All IPv4 addresses configured on the device
ansible_net_all_ipv6_addresses list | when interfaces is configured | All IPv6 addresses configured on the device
ansible_net_api string | always | The name of the transport
ansible_net_config string | when config is configured | The current active config from the device
ansible_net_gather_subset list | always | The list of fact subsets collected from the device
ansible_net_hostname string | always | The configured hostname of the device
ansible_net_interfaces dictionary | when interfaces is configured | A hash of all interfaces running on the system
ansible_net_mem_stats dictionary | when hardware is configured | The memory statistics fetched from the device
ansible_net_mpls_ldp_neighbors dictionary | when interfaces is configured and LDP daemon is running on the device | The list of MPLS LDP neighbors from the remote device
ansible_net_python_version string | always | The Python version that the Ansible controller is using
ansible_net_version string | always | The FRR version running on the remote device

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]
- This module is maintained by the Ansible Network Team. [network]

### Red Hat Support

More information about Red Hat’s support of this module is available from this Red Hat Knowledge Base article.

### Authors

- Nilashish Chakraborty (@NilashishC)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.